CREATE TABLE ffs_scheduling_stats (
    RESOURCE_ID                       NUMBER(10, 0)    NOT NULL,
    ROUTE_DATE                        DATE             NOT NULL,
    TOTAL_EVER_MOVED_BY_SCHEDULING    NUMBER(10, 0)    NOT NULL,
    EFFICIENTLY_SCHEDULED             NUMBER(10, 0)    NOT NULL,
    MANUALLY_PROCESSED                NUMBER(10, 0)    NOT NULL,
    ASSIGNED_BY_DISPATCHER            NUMBER(10, 0)    NOT NULL,
    BUCKET_CHANGED_BY_DISPATCHER      NUMBER(10, 0)    NOT NULL,
    REORDERED_BY_DISPATCHER           NUMBER(10, 0)    NOT NULL,
    UNSCHEDULED_BY_DISPATCHER         NUMBER(10, 0)    NOT NULL,
    UNASSIGNED_BY_DISPATCHER          NUMBER(10, 0)    NOT NULL,
    RESCHEDULED_BY_DISPATCHER         NUMBER(10, 0)    NOT NULL,
    REASSIGNED_BY_DISPATCHER          NUMBER(10, 0)    NOT NULL,
    ASSIGNED_BY_FLD_RES               NUMBER(10, 0)    NOT NULL,
    BUCKET_CHANGED_BY_FLD_RES         NUMBER(10, 0)    NOT NULL,
    UNSCHEDULED_BY_FLD_RES            NUMBER(10, 0)    NOT NULL,
    UNASSIGNED_BY_FLD_RES             NUMBER(10, 0)    NOT NULL,
    RESCHEDULED_BY_FLD_RES            NUMBER(10, 0)    NOT NULL,
    REASSIGNED_BY_FLD_RES             NUMBER(10, 0)    NOT NULL,
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    RESOURCE_ID                       NUMBER(10, 0)    NOT NULL,
    ROUTE_DATE                        DATE             NOT NULL,
    TOTAL_EVER_MOVED_BY_SCHEDULING    NUMBER(10, 0)    NOT NULL,
    EFFICIENTLY_SCHEDULED             NUMBER(10, 0)    NOT NULL,
    MANUALLY_PROCESSED                NUMBER(10, 0)    NOT NULL,
    ASSIGNED_BY_DISPATCHER            NUMBER(10, 0)    NOT NULL,
    BUCKET_CHANGED_BY_DISPATCHER      NUMBER(10, 0)    NOT NULL,
    REORDERED_BY_DISPATCHER           NUMBER(10, 0)    NOT NULL,
    UNSCHEDULED_BY_DISPATCHER         NUMBER(10, 0)    NOT NULL,
    UNASSIGNED_BY_DISPATCHER          NUMBER(10, 0)    NOT NULL,
    RESCHEDULED_BY_DISPATCHER         NUMBER(10, 0)    NOT NULL,
    REASSIGNED_BY_DISPATCHER          NUMBER(10, 0)    NOT NULL,
    ASSIGNED_BY_FLD_RES               NUMBER(10, 0)    NOT NULL,
    BUCKET_CHANGED_BY_FLD_RES         NUMBER(10, 0)    NOT NULL,
    UNSCHEDULED_BY_FLD_RES            NUMBER(10, 0)    NOT NULL,
    UNASSIGNED_BY_FLD_RES             NUMBER(10, 0)    NOT NULL,
    RESCHEDULED_BY_FLD_RES            NUMBER(10, 0)    NOT NULL,
    REASSIGNED_BY_FLD_RES             NUMBER(10, 0)    NOT NULL,
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128)
);
